/****************************************************************************
** implementation of Error Messages Dialogs by MegaCAD LG_xxx Functions
**
** Created: Sun Sep 21 02:45:18 2003
** 
** by Jon Carpenter 
** 
****************************************************************************/
#include <StdAfx.h>
#include <qstring.h>
#include <qmessagebox.h> 

int LG_Error(QString name, ushort *err)
{
	int ret = 0;		//variable fr messagebutton rckgabewert
	QString mt = "/0";	//variable fr fehlermeldungstext
	if (*err != 0)		//fehler berhaupt da?
	{
		switch (*err)	//verzweigung zu den definierten fehlermeldungen
		{
			case LGERR_INVALIDLIST	: mt="Eine ungltige Liste wurde bergeben."; 
									  break;
			case LGERR_INVALIDITEM	: mt="Ein ungltiges Item wurde bergeben."; 
									  break;
			case LGERR_DATANEEDED	: mt="Es fehlen Daten um eine gltige Liste oder Item zu erzeugen."; 
									  break;
			case LGERR_NUMTWICE		: mt="In der Liste wurde eine doppelte Itemnummer gefunden."; 
									  break;
			case LGERR_MEMORY		: mt="Nicht genug Speicher um eine Liste oder Item zu erzeugen."; 
									  break;
			case LGERR_RECURSIVE	: mt="Eine Rekursion ist in der Liste aufgetreten."; 
									  break;
			case LGERR_MAXLEVEL		: mt="Die maximale Anzal der Subitems (>254) wurde berschritten."; 
									  break;
			case LGERR_OPCODE		: mt="Fehlerhafter OP-Code."; 
									  break;
			case LGERR_ROOTNEXT		: mt="ROOTNEXT, kein Item mehr???"; 
									  break;
			default					: mt="Undocumentierter Fehlercode."; 
									  break;
		}
		ret = QMessageBox::warning(	0, name, QString( mt+"\nFehlernummer:  %1" ).arg( *err ),
									"Canel", "Ignore", "OK", 2, -1 );
	}
	return( ret );
}


